<Configuration>
    <Server
        maxThreads="20"
        port="8080"/>
    <Pipeline name="Example">
		<ImportService
			name="DicomImportService"
			id="DicomImportService"
            class="org.rsna.ctp.stdstages.DicomImportService"
			root="/data/example/roots/dicomImportService"
			port="1001"
            logConnections="yes"
            logDuplicates="no"
            suppressDuplicates="no">
		</ImportService>
        <DicomAnonymizer
            name="Client DICOM Anonymizer"
            class="org.rsna.ctp.stdstages.DicomAnonymizer"
            root="/data/example/roots/dicom-anonymizer"
            lookupTable="config/scripts/lookup.properties"
            script="config/scripts/anonymizer.script"
            quarantine="/data/example/quarantines/dicom-anonymizer" />
        <DicomAnonymizer
            name="Set Trial Info"
            class="org.rsna.ctp.stdstages.DicomAnonymizer"
            root="data/example/roots/set-trial-info"
            script="config/scripts/set-trial-info.script"
            quarantine="data/example/quarantines/set-trial-info" />
        <DicomAnonymizer
            name="Set Patients Comments"
            class="org.rsna.ctp.stdstages.DicomAnonymizer"
            root="data/example/roots/set-patient-comments"
            script="config/scripts/set-patient-comments.script"
            quarantine="data/example/quarantines/set-patient-comments" />
        <Processor
            name="SOPClassUID-filter"
            class="org.rsna.ctp.stdstages.DicomFilter"
            root="/data/example/roots/dicom-filter"
            script="config/filters/SOPClassUID.filter"
            quarantine="/data/example/quarantines/SOPClassUID-filter" />
        <DirectoryStorageService
            name="DirectoryStorageService"
            cacheID="cache stage ID"
            structure="(0010,0020)/(0008,0050)/(0008,103e)"
            defaultString="UNKNOWN"
            whitespaceReplacement=""
            class="org.rsna.ctp.stdstages.DirectoryStorageService"
            root="/data/example/storage" 
            setStandardExtensions="yes"
            filenameTag=""
            acceptDuplicates="yes"
            returnStoredFile="yes" />
    </Pipeline>
</Configuration>
